org.hibernate.search.spatial.impl

## Class SpatialHashQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.hibernate.search.spatial.impl.SpatialHashQuery

- All Implemented Interfaces:
    Cloneable

      public final class SpatialHashQuery
      extends Query

  Lucene distance Query for documents which have been indexed with Hibernate Search `SpatialFieldBridgeByHash` Use denormalized spatial hash cell ids to return a sub set of documents near the center
  Author:
    Nicolas Helleringer
  See Also:
    `SpatialFieldBridgeByHash`, `Coordinates`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpatialHashQuery(List<String> spatialHashCellsIds, String fieldName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Weight` | `createWeight(IndexSearcher searcher, boolean needsScores)`
    `boolean` | `equals(Object obj)`
    `String` | `getFieldName()`
    `List<String>` | `getSpatialHashCellsIds()`
    `int` | `hashCode()`
    `String` | `toString(String field)`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `clone, getBoost, rewrite, setBoost, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SpatialHashQuery

          public SpatialHashQuery(List<String> spatialHashCellsIds,
                                  String fieldName)

  - ### Method Detail

    - #### createWeight

          public Weight createWeight(IndexSearcher searcher,
                                     boolean needsScores)
                              throws IOException

      Overrides:
        `createWeight` in class `Query`
      Throws:
        `IOException`

    - #### getSpatialHashCellsIds

          public List<String> getSpatialHashCellsIds()

    - #### getFieldName

          public String getFieldName()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Query`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Query`

    - #### toString

          public String toString(String field)

      Specified by:
        `toString` in class `Query`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved